Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Geoprocess
Target version: 2.5.1-3017
Severity: Minor Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: 3016 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Al ejecutar el geoproceso "Fusionar espacialmente" da un error.

 WARN 2228932 [Thread-27] (SextanteLogHandler.java:37) - 
java.util.concurrent.ExecutionException: java.lang.NullPointerException
        at java.util.concurrent.FutureTask.report(FutureTask.java:122)
        at java.util.concurrent.FutureTask.get(FutureTask.java:192)
        at es.unex.sextante.gui.core.GeoAlgorithmExecutors$1.run(GeoAlgorithmExecutors.java:53)
        at java.lang.Thread.run(Thread.java:745)
Caused by: java.lang.NullPointerException
        at
org.gvsig.geoprocess.lib.sextante.AbstractSextanteGeoProcess.getNamesTranslator(AbstractSextanteGeoProcess.java:512)
        at org.gvsig.geoprocess.algorithm.base.core.GeometryOperation.setFeatureStore(GeometryOperation.java:96)
        at
org.gvsig.geoprocess.algorithm.fusespatially.FuseSpatiallyOperationFast2.computesGeometryOperation(FuseSpatiallyOperationFast2.java:161)
        at org.gvsig.geoprocess.algorithm.fusespatially.FuseSpatiallyAlgorithm.execute(FuseSpatiallyAlgorithm.java:174)
        at org.gvsig.geoprocess.algorithm.fusespatially.FuseSpatiallyAlgorithm.processAlgorithm(FuseSpatiallyAlgorithm.java:129)
        at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:238)
        at org.gvsig.geoprocess.lib.sextante.AbstractSextanteGeoProcess.execute(AbstractSextanteGeoProcess.java:92)
        at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:184)
        at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:59)
        at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:13)
        at java.util.concurre
onFast2.java:161)
        at org.gvsig.geoprocess.algorithm.fusespatially.FuseSpatiallyAlgorithm.execute(FuseSpatiallyAlgorithm.java:174)
        at
org.gvsig.geoprocess.algorithm.fusespatially.FuseSpatiallyAlgorithm.processAlgorithm(FuseSpatiallyAlgorithm.java:129)
        at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:238)
        at org.gvsig.geoprocess.lib.sextante.AbstractSextanteGeoProcess.execute(AbstractSextanteGeoProcess.java:92)
        at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:184)
        at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:59)
        at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:13)
        at java.util.concurrent.FutureTask.run(FutureTask.java:266)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
        ... 1 more

Associated revisions
Revision 1274 - 04/24/2020 12:02 PM - Joaquín  del Cerro Murciano

refs #5239, cuando cree el NamesTranslator por defecto que no falle si la capa aun no tiene campos.
History
#1 - 04/23/2020 05:17 PM - Joaquín  del Cerro Murciano
- File Avistamientos_gordos.zip added

#2 - 04/23/2020 08:52 PM - Álvaro Anguix
- Category set to Geoprocess

#3 - 04/24/2020 12:25 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278) to 2.5.1-3017
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#4 - 04/25/2020 07:20 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
Avistamientos_gordos.zip 19.3 KB 04/23/2020 Joaquín  del Cerro Murciano
